apiVersion: v1
kind: Service
metadata:
  labels:
    app: thanos-query
  namespace: monitoring
  name: thanos-query
spec:
  externalTrafficPolicy: Cluster
  ports:
  - port: 9090
    protocol: TCP
    targetPort: http
    name: http-query
  selector:
    app: thanos-query
  sessionAffinity: None
  type: NodePort
